org.apache.uima.cas.impl

## Enum BinaryCasSerDes6.CompressStrat

- java.lang.Object
- - java.lang.Enum<BinaryCasSerDes6.CompressStrat>
  - - org.apache.uima.cas.impl.BinaryCasSerDes6.CompressStrat

- All Implemented Interfaces:
    Serializable, Comparable<BinaryCasSerDes6.CompressStrat>
  Enclosing class:
    BinaryCasSerDes6

      public static enum BinaryCasSerDes6.CompressStrat
      extends Enum<BinaryCasSerDes6.CompressStrat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Default`
    `Filtered`
    `HuffmanOnly`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `strat`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BinaryCasSerDes6.CompressStrat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BinaryCasSerDes6.CompressStrat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Default

          public static final BinaryCasSerDes6.CompressStrat Default

    - #### Filtered

          public static final BinaryCasSerDes6.CompressStrat Filtered

    - #### HuffmanOnly

          public static final BinaryCasSerDes6.CompressStrat HuffmanOnly

  - ### Field Detail

    - #### strat

          public final int strat

  - ### Method Detail

    - #### values

          public static BinaryCasSerDes6.CompressStrat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryCasSerDes6.CompressStrat c : BinaryCasSerDes6.CompressStrat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryCasSerDes6.CompressStrat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.